zenilib: zenilib/jni/external/freetype2/src/truetype/ttpload.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
ttpload.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_TRUETYPE_TYPES_H>`

Go to the source code of this file.

## Functions

| tt_face_done_loca (TT_Face face)
| tt_face_free_hdmx (TT_Face face)
| tt_face_get_device_metrics (TT_Face face, FT_UInt ppem, FT_UInt gindex)
| tt_face_get_location (TT_Face face, FT_UInt gindex, FT_UInt *asize)
| tt_face_load_cvt (TT_Face face, FT_Stream stream)
| tt_face_load_fpgm (TT_Face face, FT_Stream stream)
| tt_face_load_hdmx (TT_Face face, FT_Stream stream)
FT_BEGIN_HEADER | tt_face_load_loca (TT_Face face, FT_Stream stream)
| tt_face_load_prep (TT_Face face, FT_Stream stream)

## Function Documentation

tt_face_done_loca | ( | TT_Face | face | ) |

Definition at line 251 of file ttpload.c.

References FT_FRAME_RELEASE.

Referenced by tt_face_done().

tt_face_free_hdmx | ( | TT_Face | face | ) |

Definition at line 559 of file ttpload.c.

References FT_FRAME_RELEASE, FT_FREE, and FT_StreamRec_::memory.

Referenced by tt_face_done().

tt_face_get_device_metrics | ( | TT_Face | face,
|  | FT_UInt | ppem,
|  | FT_UInt | gindex
| ) |  |

Definition at line 576 of file ttpload.c.

References NULL.

Referenced by compute_glyph_metrics().

tt_face_get_location | ( | TT_Face | face,
|  | FT_UInt | gindex,
|  | FT_UInt * | asize
| ) |  |

Definition at line 173 of file ttpload.c.

References FT_NEXT_ULONG, FT_NEXT_USHORT, and FT_TRACE1.

Referenced by load_truetype_glyph(), and tt_check_single_notdef().

tt_face_load_cvt | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 280 of file ttpload.c.

References error, FT_FRAME_ENTER, FT_FRAME_EXIT, FT_GET_SHORT, FT_NEW_ARRAY, FT_TRACE2, FT_UNUSED, NULL, tt_face_vary_cvt(), and TTAG_cvt.

Referenced by tt_face_init().

tt_face_load_fpgm | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 361 of file ttpload.c.

References error, FT_FRAME_EXTRACT, FT_TRACE2, FT_UNUSED, NULL, and TTAG_fpgm.

Referenced by tt_face_init().

tt_face_load_hdmx | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 484 of file ttpload.c.

References error, FT_FRAME_EXTRACT, FT_FRAME_RELEASE, FT_NEW_ARRAY, FT_NEXT_ULONG, FT_NEXT_USHORT, TTAG_hdmx, and version.

Referenced by tt_face_init().

FT_BEGIN_HEADER tt_face_load_loca | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 62 of file ttpload.c.

References error, FT_FRAME_EXTRACT, FT_Stream_Pos(), FT_TRACE2, TT_TableRec_::Offset, TTAG_glyf, and TTAG_loca.

Referenced by tt_face_init().

tt_face_load_prep | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 423 of file ttpload.c.

References error, FT_FRAME_EXTRACT, FT_TRACE2, FT_UNUSED, NULL, and TTAG_prep.

Referenced by tt_face_init().